"""google cloud storage connector

Revision ID: 08abf4c4dd51
Revises: 3fbea16f833c
Create Date: 2019-07-22 10:48:23.194556

"""
from datetime import datetime
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '08abf4c4dd51'
down_revision = '3fbea16f833c'
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()
    now = datetime.now().strftime("%Y-%m-%d %H:%M:%S.%f")

    # add a row for 'Google Cloud Storage' set to enabled
    conn.execute("""
        INSERT INTO connector (created_at, updated_at, id, display_name, allow_mapped_collections, enabled)
        VALUES ('{now}', '{now}', '56366b96-ac98-11e9-abac-9cb6d0d9fd63', 'Google Cloud Storage', 0, 1)
        """.format(now=now))


def downgrade():
    conn = op.get_bind()

    # remove the row for 'Google Cloud Storage'
    conn.execute("""
        DELETE FROM connector
        WHERE id = '56366b96-ac98-11e9-abac-9cb6d0d9fd63'
        """)
